.TH GLOM L "18 May 1990" "Queue MH"
.SH NAME
glom \- combine multiple queue messages together as one
.SH SYNOPSIS
\fBglom\fR [+\fIfoldername\fR] [-a \fIglommed-message\fR] \fImessage-list\fR
.SH DESCRIPTION
\fBglom\fR will combine multiple messages from a queue MH folder into
one message.  When interpreting a message list from the command line,
\fBglom\fR uses \fBpick\fR so that things like "1-6 9", "cur", and
"last:6" are valid. The old messages are removed using \fBrmm\fR and
the new message is placed into the lowest numbered message from the
list of old messages.  

The new message is addressed to the current folder, marked as being
from the user doing the \fBglom\fR, and annotated using \fBanno\fR
so that the message can be recognized as having been \fBglom\fRmed. 
The "cc" line of the new message will contain all the mail addresses
from the "from" and "cc" lines of the original message.

\fBglom\fR is a (not so) simple csh script, peruse it.
.SH OPTIONS
.IP "\fB\+\fIfoldername" 1i
Use \fIfoldername\fR instead of the default folder.  \fIFoldername\fR
should be a queue MH folder to be meaningful.  Default is the FOLDER
environment variable or the current folder if FOLDER is null.
.IP "\fB\-a \fIglommed-message"
Add the messages in \fImessage-list\fR to the previously
\fIglommed-message\fR specified.  Use this option to prevent an
unreadable mess of a message.
.SH FILES
.TP
~/Mail/\fIfoldername\fR
The folder used.
.TP
/tmp/glommesg.$$
Temporary file where glommed message is built.
.TP
~\fIqueue\fR/Mail/glom.body.format
Used for the -form option to \fBshow\fR in assembling the messages.
.SH "EXAMPLE"
.nf
\fBglom +trouble -a 25 35-40\fR

Glom the messages 35-40 to the previously glommed message 25 in the trouble
queue.
.fi
.RE
.SH "SEE ALSO"
mh(n), pick(n), show(n), rmm(n), anno(n)
.SH DIAGNOSTICS
\fBglom\fR will give usage errors.  Other errors are intended to be
self-explanatory or are from invoked programs (see also).
.SH BUGS
If you find any, please report them.
.SH AUTHOR
.nf
University of Colorado at Boulder
systems@colorado.edu
.fi
