.TH RES L "18 May 1990" "Queue MH"
.SH NAME
res \- resolve a queue message
.SH SYNOPSIS
\fBres\fR [+\fIfoldername\fR] [\fImesg\fR]
.SH DESCRIPTION
This command is used when you are ready to resolve a queue MH message. 
\fBres\fR invokes \fBrepl\fR after moving the message to your personal
MH folder first (~/Mail/`whoami`).  \fBres\fR automatically carbon
copies the appropriate aliases by using the form file
~\fIqueue\fR/Mail/rescomps.  If rescomps does not exist, replcomps is
used.

If the reply is successfully completed and sent, \fBres\fR deletes the
origial message from your personal folder with \fBrmm\fR and does not
return it to the queue MH folder (since it has been resolved).

A "Reply-to:" line is included in the message sent to direct replies
back into the queue they were resolved from.

\fBres\fR is a simple csh script, peruse it.
.SH OPTIONS
.IP "\fImesg" 1i
Use the specified message.  Default is the current message.
.IP "\fB\+\fIfoldername"
Use \fIfoldername\fR instead of the default folder.  \fIFoldername\fR
should be a queue MH folder to be meaningful.  Default is the FOLDER
environment variable or the current folder if FOLDER is null.
.SH FILES
.TP
~/Mail/\fIfoldername\fR
The folder used.
.TP
~/Mail/`whoami`
Your "personal" folder, message moved here temporarily
.TP
~\fIqueue\fR/Mail/rescomps
Used for the -form option to \fBrepl\fR.
.TP
~\fIqueue\fR/Mail/replcomps
Used for the -form option if rescomps does not exist.
.SH "EXAMPLE"
.nf
\fBres 25 +trouble\fR

Resolve message number 25 in trouble queue.
.fi
.RE
.SH "SEE ALSO"
mh(n), repl(n), whatnow(n), rmm(n)
.SH DIAGNOSTICS
\fBrepl\fR will give usage errors.  Other errors are intended to be
self-explanatory or are from invoked programs (see also).

Sometimes res will give the message, "rmm: Unable to rename 1 to #1 - no such
file or directory" after sucessfully sending the resolved message.  When this
happens, the temporary copy of the message is left in the personal folder.
If this has happened before, the number 1 will be a higher number.  Manually
doing an "rmm +personalfolder 1" will normally work.
.SH BUGS
If you find any, please report them.
.SH AUTHOR
.nf
University of Colorado at Boulder
systems@colorado.edu
.fi
