.TH STAT L "18 May 1990" "Queue MH"
.SH NAME
stat \- acknowledge or add status to a queue message
.SH SYNOPSIS
\fBstat\fR [-e ] [+\fIfoldername\fR] [\fImesg\fR]
.SH DESCRIPTION
\fBstat\fR is used to add status information to or acknowledge a
queue message.  By default, it will place you in \fBrepl\fR editing
with:

.nf
-----------
Status: by <yourusername> <date>
-----------
.fi

at the end.  You should type the acknowledgement or change in status
message at the end of the file (after the Status: lines).  Also,
edit the recipients in the To: and Cc: lines of the message to
reflect the desired addresses.  When done, write the changes and
quit the editor.  The \fBwhatnow\fR program is automatically
invoked as in \fBrepl\fR (enter \fIsend\fR to send the message).  
The text you typed after the last Status: field will be appended
to the end of the original message in the queue folder.

A "Reply-to:" line is included in the message sent to direct replies
back to the queue the original message is in.  Use glom to combine
any replies with the original.

\fBstat\fR is a simple csh script, peruse it.
.SH OPTIONS
.IP "\fB\-e" 1i
Enter \fBstat\fR in edit-only mode.  This mode will edit the message
directly without invoking \fBrepl\fR, thus it is not mailed to anyone.
The Status: line is still automatically added.  Warning:  do not delete
the guts of the message using this option as there is no other copy of
the message in the folder.  Default is not edit-only.
.IP "\fB\+\fIfoldername"
Use \fIfoldername\fR instead of the default folder.  \fIFoldername\fR
should be a queue MH folder to be meaningful.  Default is the FOLDER
environment variable or the current folder if FOLDER is null.
.IP "\fImesg"
Use the specified message.  Default is the current message.
.SH FILES
.TP
~/Mail/\fIfoldername\fR
The folder used.
.TP
/tmp/tmhstat.$$
Temporary copy of the message during editing.
.TP
~\fIqueue\fR/Mail/replcomps
Used for the -form option to \fBrepl\fR.
.SH "EXAMPLE"
.nf
\fBstat -e +trouble 25\fR

Edit-only message number 25 in folder trouble.
.fi
.RE
.SH "SEE ALSO"
mh(n), repl(n), whatnow(n)
.SH DIAGNOSTICS
\fBscan\fR will give usage errors.  Other errors are intended to be
self-explanatory or are from invoked programs (see also).
.SH BUGS
If you find any, please report them.
.SH AUTHOR
.nf
University of Colorado at Boulder
systems@colorado.edu
.fi
