/*
*       tmhedi.c
*
*/

static char *rcsid = "$Header: $";

#include <stdio.h>
#include <pwd.h>


#define MAXBUFSIZE	4096
#define MAXLINES	16384
#define TMPFILE		"/.tmhtmp"
#define EDITOR		"/usr/ucb/vi"

char  buf[MAXBUFSIZE];
char  *lns[MAXLINES];
char  *tmpf[256];
int  nlines;
int  endofheader;


main(argc, argv, envp)
int argc;
char *argv[], *envp[];
{


	int  i;
	FILE  *fp;
	FILE  *fopen();
	struct passwd  *pw, *getpwuid();
	long  tval, time();
	char  *ctime(), *getenv();


	if (!(fp = fopen(argv[1], "r"))) {
		fprintf(stderr, "%s: open of %s failed.\n", argv[0], argv[1]);
		exit(1);
	}

	while(fgets(buf, MAXBUFSIZE, fp)) {
		if (!(lns[nlines] = (char *) malloc(strlen(buf)+1))) {
			fprintf(stderr, "%s: not enough memory", argv[0]);
			fclose(fp);
			exit(1);
		}	
		strcpy(lns[nlines], buf);
		if ((!endofheader) && (buf[0] == '\n'))
			endofheader = nlines;
		nlines++;
		if (nlines >= MAXLINES) {
			fprintf(stderr, "%s: %s file to big\n", argv[0], argv[1]);
			fclose(fp);
			exit(1);
		}
	}
	fclose(fp);

	if (!(fp = fopen(argv[1], "w"))) {
		fprintf(stderr, "%s: couldn't write %s\n", argv[0], argv[1]);
		exit(1);
	}

	for(i=0; i<nlines; i++) {
		if (i > endofheader) {
			fprintf(fp, "> %s", lns[i]);
		} else {
			fprintf(fp, "%s", lns[i]);
		}
	}

	pw = getpwuid(getuid());
	tval = time(0);

	fprintf(fp, "----------\n");
	fprintf(fp, "Status: by %s %s", pw->pw_name, ctime(&tval));
	fprintf(fp, "----------\n\n");
	fclose(fp);

	if (!fork()) {
		if (execle(EDITOR, EDITOR, argv[1], NULL, envp) == -1) {
			fprintf(stderr, "%s: can't exec %s\n", argv[0], EDITOR);
			exit(1);
		}
	}

	wait(0);

	strcpy(tmpf, pw->pw_dir);
	strcat(tmpf, TMPFILE);

	unlink(tmpf);

	if (link(argv[1], tmpf)) {
		printf("linking: %s to %s\n", tmpf, argv[1]);
		perror("link: ");
		fprintf(stderr, "%s: unable to link to tmp file\n", argv[0]);
		exit(1);
	}

	exit(0);
	
}
